Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface QCalculatedColumn

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QResultColumn

    public interface QCalculatedColumn

extends QResultColumn

A representation of the model object 'QCalculated Column'. Inserendo questo tipo di elemento in una clausola SELECT viene inserita in output una colonna calcolata a seconda del contenuto delle varie proprietà.

The following features are supported:

- `Referenced Columns`
- `Free Text Expression`
- `Calculated Type`

See Also:
  `DatagenPackage.getQCalculatedColumn()`

Method Summary
`it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType` | `getCalculatedType()` Returns the value of the 'Calculated Type' containment reference
`java.lang.String` | `getFreeTextExpression()` Returns the value of the 'Free Text Expression' attribute
`org.eclipse.emf.common.util.EList<QResultColumn>` | `getReferencedColumns()` Returns the value of the 'Referenced Columns' containment reference list.
`void` | `setCalculatedType(it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType value)` Sets the value of the '`Calculated Type`' containment reference
`void` | `setFreeTextExpression(java.lang.String value)` Sets the value of the '`Free Text Expression`' attribute

Methods inherited from interface it.csi.mddtools.datagen.QResultColumn
`getAlias, setAlias`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferencedColumns

    org.eclipse.emf.common.util.EList<QResultColumn> getReferencedColumns()

  Returns the value of the 'Referenced Columns' containment reference list. The list contents are of type `QResultColumn`. Le colonne che sono referenziate nella espressione. L'ordine in cui sono definite è rilevante.

  Returns:
    the value of the 'Referenced Columns' containment reference list.
  See Also:
    `DatagenPackage.getQCalculatedColumn_ReferencedColumns()`

### getFreeTextExpression

    java.lang.String getFreeTextExpression()

  Returns the value of the 'Free Text Expression' attribute. Espressione che coinvolge le colonne referenziate nella property referencedColumns. L'espressione deve essere scritta nel dialetto SQL del DBMS target e può contenere segnaposto nella forma $i dove i rappresenta la posizione a partire da 1 nell'elenco delle colonne referenziate. L'espressione non può contenere una funzione di aggregazione.

  Returns:
    the value of the 'Free Text Expression' attribute.
  See Also:
    `setFreeTextExpression(String)`, `DatagenPackage.getQCalculatedColumn_FreeTextExpression()`

### setFreeTextExpression

    void setFreeTextExpression(java.lang.String value)

  Sets the value of the '`Free Text Expression`' attribute.

  Parameters:
    `value` - the new value of the 'Free Text Expression' attribute.
  See Also:
    `getFreeTextExpression()`

### getCalculatedType

    it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType getCalculatedType()

  Returns the value of the 'Calculated Type' containment reference. Il tipo della colonna calcolata. Dipende:
  - dal tipo delle colonne coinvolte nell'espressione
  - dall'espressione stessa

  Returns:
    the value of the 'Calculated Type' containment reference.
  See Also:
    `setCalculatedType(PrimitiveDataType)`, `DatagenPackage.getQCalculatedColumn_CalculatedType()`

### setCalculatedType

    void setCalculatedType(it.csi.mddtools.rdbmdl.datatypes.PrimitiveDataType value)

  Sets the value of the '`Calculated Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Calculated Type' containment reference.
  See Also:
    `getCalculatedType()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD